# Class UserSequence

java.lang.Object
org.apache.jmeter.protocol.http.modifier.UserSequence

All Implemented Interfaces:
  `Serializable`

public class UserSequence extends Object implements Serializable
This module controls the Sequence in which user details are returned. This module uses round robin allocation of users.

Version:
  $Revision: 1649126 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UserSequence()`
`UserSequence(List<Map<String,String>> allUsers)`
Load all user and parameter data into the sequence module.

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getNextUserMods()`
Returns the parameter data for the next user in the sequence

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserSequence

public UserSequence()

### UserSequence

public UserSequence(List<Map<String,String>> allUsers)
Load all user and parameter data into the sequence module.

ie a Set of Mapped "parameter names and parameter values" for each user to be loaded into the sequencer.

Parameters:
  `allUsers` - users and parameter data to be used

## Method Details

### getNextUserMods

public Map<String,String> getNextUserMods()
Returns the parameter data for the next user in the sequence

Returns:
  a Map object of parameter names and matching parameter values for the next user